# Uses of Class
java.util.ResourceBundle.Control

Packages that use ResourceBundle.Control
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
java.util.spi
Service provider classes for the classes in the java.util package.

## Uses of ResourceBundle.Control in java.util

Methods in java.util that return ResourceBundle.Control
Modifier and Type
Method
Description
`static final ResourceBundle.Control`
ResourceBundle.Control.`getControl(List<String> formats)`
Returns a `ResourceBundle.Control` in which the `getFormats` method returns the specified `formats`.
`static final ResourceBundle.Control`
ResourceBundle.Control.`getNoFallbackControl(List<String> formats)`
Returns a `ResourceBundle.Control` in which the `getFormats` method returns the specified `formats` and the `getFallbackLocale` method returns `null`.
Methods in java.util with parameters of type ResourceBundle.Control
Modifier and Type
Method
Description
`static ResourceBundle`
ResourceBundle.`getBundle(String baseName, Locale targetLocale, ClassLoader loader, ResourceBundle.Control control)`
Returns a resource bundle using the specified base name, target locale, class loader and control.
`static final ResourceBundle`
ResourceBundle.`getBundle(String baseName, Locale targetLocale, ResourceBundle.Control control)`
Returns a resource bundle using the specified base name, target locale and control, and the caller's class loader.
`static final ResourceBundle`
ResourceBundle.`getBundle(String baseName, ResourceBundle.Control control)`
Returns a resource bundle using the specified base name, the default locale and the specified control.

## Uses of ResourceBundle.Control in java.util.spi

Methods in java.util.spi that return ResourceBundle.Control
Modifier and Type
Method
Description
`ResourceBundle.Control`
ResourceBundleControlProvider.`getControl(String baseName)`
Returns a `ResourceBundle.Control` instance that is used to handle resource bundle loading for the given `baseName`.